import { BaseRegression } from 'ml-regression-base';
/**
 * @class RobustPolynomialRegression
 * @param x
 * @param y
 * @param degree - polynomial degree
 */
export declare class RobustPolynomialRegression extends BaseRegression {
    name?: string;
    degree?: number;
    powers?: number[];
    coefficients?: number[];
    constructor(x: number[] | LoadJSON, y?: number[], degree?: number);
    toJSON(): {
        name: string | undefined;
        degree: number | undefined;
        powers: number[] | undefined;
        coefficients: number[] | undefined;
    };
    _predict(x: number): number;
    /**
     * Display the formula
     * @param precision - precision for the numbers
     * @returns
     */
    toString(precision: number): string;
    /**
     * Display the formula in LaTeX format
     * @param precision - precision for the numbers
     * @returns
     */
    toLaTeX(precision: number): string;
    _toFormula(precision: number, isLaTeX: boolean): string;
    static load(json: LoadJSON): RobustPolynomialRegression;
}
interface LoadJSON {
    name?: string;
    degree?: number;
    powers?: number[];
    coefficients?: number[];
}
export {};
//# sourceMappingURL=index.d.ts.map